/*
	Config File Structure For Web Configuration
*/

#include "DefCommon.h"
#include "DefInputA.h"
#include "DefInputS.h"
#include "DefOutput.h"
#include "DefSpecial.h"
#include "DefTimer.h"
#include "DefIo.h"

#include "DefCommon.h"

#ifndef DEF_CONFIG_DATA__
#define DEF_CONFIG_DATA__

typedef struct ConfigWeb
{
	INPUT_STANDARD_DATA		isData;				//standard input
	INPUT_AUXILIARY_DATA		iaData;				//auxiliary input
	OUTPUT_DATA			opData;				//output
	SPECT_FUNCTION_DATA		sfData;				//special function
	TIMER_DATA			trData;				//timer
	IO_DEF_DATA			ioData[MAX_NUM_IO];		//IO pins
	short dataLen;							//record length
}CONFIG_WEB_DATA;

#endif
