/*
	get computer ip(LAN1) and port from file
	get server 1 and 2 ip and port
*/

#include <stdio.h>
#include <unistd.h>
#include <string.h> /* for strncpy */

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/ioctl.h>
#include <netinet/in.h>
#include <net/if.h>
#include <arpa/inet.h>

int main()
{
	FILE *fp;
	char ip[20];
	char port[10];
	char ipsvr1[20];
	char ipsvr2[20];
	char portsvr1[10];
	char portsvr2[10];
	int number = 0;

	if((fp = fopen("/home/flexyard/flexyard/sysconfig/config_ip.txt", "r")) == NULL)
	{
		printf("-1");//open fail
		return -1;
	}
	else
	{
		number = fread(ip, sizeof(char), 20, fp);
	}
	fclose(fp);

	if((fp = fopen("/home/flexyard/flexyard/sysconfig/config_port.txt", "r")) == NULL)
	{
		printf("-1");//open fail
		return -1;
	}
	else
	{
		number = fread(port, sizeof(char), 20, fp);
	}
	fclose(fp);

	if((fp = fopen("/home/flexyard/flexyard/sysconfig/config_serverA.txt", "r")) == NULL)
	{
		printf("-1");//open fail
		return -1;
	}
	else
	{
		number = fread(ipsvr1, sizeof(char), 20, fp);
	}
	fclose(fp);

	if((fp = fopen("/home/flexyard/flexyard/sysconfig/config_serverB.txt", "r")) == NULL)
	{
		printf("-1");//open fail
		return -1;
	}
	else
	{
		number = fread(ipsvr2, sizeof(char), 20, fp);
	}
	fclose(fp);

	if((fp = fopen("/home/flexyard/flexyard/sysconfig/config_svr_portA.txt", "r")) == NULL)
	{
		printf("-1");//open fail
		return -1;
	}
	else
	{
		number = fread(portsvr1, sizeof(char), 20, fp);
	}
	fclose(fp);

	if((fp = fopen("/home/flexyard/flexyard/sysconfig/config_svr_portB.txt", "r")) == NULL)
	{
		printf("-1");//open fail
		return -1;
	}
	else
	{
		number = fread(portsvr2, sizeof(char), 20, fp);
	}
	fclose(fp);

	printf("Content-Type: text/html\n\n");
	printf("p1=%s|p2=%s|p3=%s|p4=%s|p5=%s|p6=%s\n", ip, port, ipsvr1, portsvr1, ipsvr2, portsvr2);

	return 0;
}
